www.mikrocontroller.net

Forum: PC-Programmierung AUTOCAD VBA PUNKT


Autor: CADLA (Gast)
Datum:

Bewertung
0 lesenswert
nicht lesenswert
Hallo Leute ,
folgendes ich möchte per VB einen Punkt zeichnen .... nunja klappt ganz 
gut. Dennoch möchte ich die Koordinaten per Hand eingebend und ei 
1.Koordinate soll vom Mauszeiger abgeleses werden:
Option Explicit
Private Sub CommandButton1_Click()





Dim varPunkt(0 To 2) As Double
     Dim p1, p2, p3, _
         ang As Double, _
         V As String, _
          B As String, _
           R As String, _
         oDim As AcadDimRotated
B = TextBox1.Text
V = TextBox3.Text
R = TextBox2.Text
     
     UserForm1.Hide
     With ThisDrawing.Utility
          p1 = .GetPoint(, "Specify first curve origin:")
        
          

         varPunkt(0) = 30
 varPunkt(1) = 30
  varPunkt(2) = 0
  ThisDrawing.ModelSpace.AddPoint (varPunkt)
     
  
   End With
End Sub





Warum funktioniert das nicht?

Antwort schreiben

Die Angabe einer E-Mail-Adresse ist freiwillig. Wenn Sie automatisch per E-Mail über Antworten auf Ihren Beitrag informiert werden möchten, melden Sie sich bitte an.

Wichtige Regeln - erst lesen, dann posten!

  • Groß- und Kleinschreibung verwenden
  • Längeren Sourcecode nicht im Text einfügen, sondern als Dateianhang

Formatierung (mehr Informationen...)

  • [c]C-Code[/c]
  • [avrasm]AVR-Assembler-Code[/avrasm]
  • [code]Code in anderen Sprachen, ASCII-Zeichnungen[/code]
  • [math]Formel in LaTeX-Syntax[/math]
  • [[Titel]] - Link zu Artikel
  • Verweis auf anderen Beitrag einfügen: Rechtsklick auf Beitragstitel,
    "Adresse kopieren", und in den Text einfügen




Bild automatisch verkleinern, falls nötig
Bitte das JPG-Format nur für Fotos und Scans verwenden!
Zeichnungen und Screenshots im PNG- oder
GIF-Format hochladen. Siehe Bildformate.
Hinweis: der ursprüngliche Beitrag ist mehr als 6 Monate alt.
Bitte hier nur auf die ursprüngliche Frage antworten,
für neue Fragen einen neuen Beitrag erstellen.

Mit dem Abschicken bestätigst du, die Nutzungsbedingungen anzuerkennen.